Jump to content

  • You cannot start a new topic
  • You cannot reply to this topic

Manual Upgrade Procedure. Rate Topic   - - - - -

 
  • taydu
  • Senior Member
  • Members
  • Join Date: 24-Jul 06
  • 350 posts

Posted 07 May 2008 - 11:39 PM #61

while running the sql upgrade i got this error:

ALTER TABLE cscart_product_prices DROP COLUMN 'combination_id'

MySQL said:

#1091 - Can't DROP 'combination_id'; check that cloumn/key exists

 
  • taydu
  • Senior Member
  • Members
  • Join Date: 24-Jul 06
  • 350 posts

Posted 07 May 2008 - 11:46 PM #62

also getting this error

SQL query:

ALTER TABLE cscart_product_prices DROP COLUMN KEY `src_k` ;

MySQL said: Documentation
#1064 - You have an error in your SQL syntax; check the manual that corresponds to your MySQL server version for the right syntax to use near 'KEY `src_k`' at line 1

using MySQL 5.0.45 Community

 
  • jobosales
  • Senior Member
  • Members
  • Join Date: 04-Nov 06
  • 3114 posts

Posted 08 May 2008 - 12:01 AM #63

Take a look at post #35 above:
http://forum.cs-cart...14&postcount=35

What version are you upgrading from and to?

Bob
CS-Cart 2.0.14 (testing)

 
  • taydu
  • Senior Member
  • Members
  • Join Date: 24-Jul 06
  • 350 posts

Posted 08 May 2008 - 05:58 AM #64

CS CARt 1.3.5SP1 to SP3

 
  • taydu
  • Senior Member
  • Members
  • Join Date: 24-Jul 06
  • 350 posts

Posted 08 May 2008 - 04:21 PM #65

follow your instruction in post 35 and it seem to be fine, but after upgrade form SP1 to SP3 Paypal Express checkout and Google doesn't seem to work right

On a fresh 1.3.5 SP3 install in the payment page when you use the drop down menu to chose the processor, Paypal Express Checkout and Google Checkout are list under "Checkout" and the rest are under "Gateways"

but on the upgrade SP1 to SP3 Paypal Express Checkout and Google Checkout are list under Gateways

and when i try to configure Paypal Express Checkout it give me this error:

Warning: Smarty error: unable to read resource: "payments_pages/cc_processors/paypal_express.tpl" in C:\VertrigoServ\www\csc\classes\templater\Smarty.class.php on line 1095

what is that problem and how to fix it ?

 
  • jobosales
  • Senior Member
  • Members
  • Join Date: 04-Nov 06
  • 3114 posts

Posted 08 May 2008 - 10:02 PM #66

In phpMyAdmin, check that there are entries in the cscart_payment_processors table for GoogleCheckout and Paypal Express Checkout. If they do not exist run the following queries, as needed, after backing up your database:

INSERT INTO cscart_payment_processors (processor_id, processor, processor_script, processor_template, admin_template, callback, type) VALUES ('23', 'Google checkout', 'google_checkout.php', 'cc_outside.tpl', 'google_checkout.tpl', 'Y', 'C');
INSERT INTO cscart_payment_processors (processor_id, processor, processor_script, processor_template, admin_template, callback, type) VALUES ('57', 'PayPal Express Checkout', 'paypal_express.php', 'cc_outside.tpl', 'paypal_express.tpl', 'Y', 'B');

If the rows exist in the table, run the above queries substituting REPLACE INTO for INSERT INTO. In fact, you can just use the REPLACE INTO form since it will either update or create the row as needed.

You should also make sure that you have the updated versions of the Google Checkout and Paypal Express files in /skins/YOUR_SKIN/admin/payments_pages/cc_processors and /3cs135/payments/cc_processors.

Bob
CS-Cart 2.0.14 (testing)

 
  • Eddy
  • Member
  • Members
  • Join Date: 08-Nov 07
  • 37 posts

Posted 16 May 2008 - 04:18 PM #67

Hi!

I upgraded from sp2 to sp3. All work fine for me but only the "Shipping methods"

I cannot go to "Shipping methods" page to adjust and I cannot change or edit the order with "Shipping methods"

I post here the errors:

1. When click the "Shipping methods", i receive the statement:

Warning: require_once(/home/........../shippings/fn_rtsrc.php) [function.require-once]: failed to open stream: Permission denied in /home/................./include/admin/shippings.php on line 36

Fatal error: require_once() [function.require]: Failed opening required '/home/............./shippings/fn_rtsrc.php' (include_path='/home/................./classes/pear:.:/usr/lib/php:/usr/local/lib/php') in /home/................./include/admin/shippings.php on line 36


2. When I edit or update the Shipping methods in the order:

Express:
Warning: array_sum() [function.array-sum]: The argument should be an array in /home/.............../classes/templater/Smarty.class.php on line 1688
Array


What can I do to fix that bug?

Many thanks and have a nice weekend!

 
  • argentice
  • Senior Member
  • Members
  • Join Date: 11-May 07
  • 383 posts

Posted 21 May 2008 - 06:40 AM #68

I get the following message when importing the database.sql file..

ERROR 1054 (42S22) at line 59: Unknown column 'combination_hash' in 'field list'

Any idea what is wrong?
Rob

 
  • mdekok3000
  • Senior Member
  • Members
  • Join Date: 06-Feb 08
  • 883 posts

Posted 21 May 2008 - 08:14 AM #69

What does line 59 of database.sql say?
[SIZE=2]
[/SIZE]

 
  • redking
  • Member
  • Members
  • Join Date: 30-May 07
  • 58 posts

Posted 15 July 2008 - 09:44 PM #70

Hi,

In the process of upgrading my 1.3.4 to 1.3.5-SP3.

Slowly getting it working but have a problem with Google Checkout.

I've used this method to upgrade the DB.

Now, when I go to the Google Checkout config page I see (attached) bad.jpg

If I revert back to the orignal 1.3.5-SP4 DB (I kept the original on the server) I see (attached) good.jpg so I know it's not a problem with google_checkout.tpl

I have dropped the row in cscart_payment_processors and reinserted it:

INSERT INTO cscart_payment_processors (processor_id, processor, processor_script, processor_template, admin_template, callback, type) VALUES ('23', 'Google checkout', 'google_checkout.php', 'cc_outside.tpl', 'google_checkout.tpl', 'Y', 'C');

but this has no effect.

Any thoughts?

Red

Attached Thumbnails

  • bad.jpg
  • good.jpg